Bug 123960 - Port fix: archivers/linux-par2cmdline - better handling of NOPORTDOCS
Summary: Port fix: archivers/linux-par2cmdline - better handling of NOPORTDOCS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: emulation
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-24 17:20 UTC by ganael.laplanche
Modified: 2008-09-01 01:44 UTC (History)
0 users

See Also:


Attachments
file.diff (517 bytes, patch)
2008-05-24 17:20 UTC, ganael.laplanche
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2008-05-24 17:20:01 UTC
As discussed on ports@ :

http://lists.freebsd.org/pipermail/freebsd-ports/2008-May/048724.html

here is a fix for archivers/par2cmdline to make it handle NOPORTDOCS correctly. Before this fix, documentation was always installed. Now the patch removes PORTDOCS from WRKDIR at post-extract target to avoid installing them if NOPORTDOCS is defined.

Fix: Patch attached with submission follows:
Comment 1 itetcu freebsd_committer 2008-05-24 17:51:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 ganael.laplanche 2008-05-24 22:01:40 UTC
On Sat, 24 May 2008 16:20:01 GMT, FreeBSD-gnats-submit wrote

As I have just posted a fix for bsd.linux-rpm.mk (ports/123964), please ignore
this patch if ports/123964 is accepted.

Thanks a lot,
Best regards,

Ganaël LAPLANCHE
ganael.laplanche@martymac.com
http://www.martymac.com
Comment 3 itetcu freebsd_committer 2008-05-24 22:26:31 UTC
Responsible Changed
From-To: itetcu->emulation

This is superceeded by 123964, if 123964 is accepted or an other 
solution is found; please bounce it back to me if you reject 123964. 
Thanks.
Comment 4 Mark Linimon freebsd_committer 2008-09-01 01:43:48 UTC
State Changed
From-To: open->closed

Should be taken care of by the commit in ports/123964.